/*
 * File         : SOCK_Connector.cpp
 * Author       : Tomasz Stachowiak
 * Created      : Wed May 20 17:38:27 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#include <BVN/SOCK_Connector.h>

int SOCK_Connector::connect(PEER_ADDR *addr, PEER_STREAM *stream)
{
  if(sap.open(addr) == -1)
    {
      BVN_ERROR("SOCK_Connector: connect\n");
      return -1;
    }
  
  stream->set_peer_address(addr);
  stream->set_handle(sap.get_handle());
  
  return 0;
}  

int SOCK_Connector::close(void)
{
  return sap.close();
}
